Bug 1398717 - E10s is not activated
Summary: E10s is not activated
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-25 16:40 UTC by Marcel
Modified: 2018-04-11 08:23 UTC (History)
18 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-10 08:35:58 UTC


Attachments (Terms of Use)
raw data from about:support (4.31 KB, text/plain)
2016-11-30 14:48 UTC, Christian Stadelmann
no flags Details
raw data from about:support, after installing NoScript and restarting (4.56 KB, text/plain)
2016-11-30 15:05 UTC, Christian Stadelmann
no flags Details
52.0-4 about:support with compatible addon (4.93 KB, text/plain)
2017-03-13 11:50 UTC, Marcel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1348576 None None None 2017-03-23 09:47 UTC

Description Marcel 2016-11-25 16:40:59 UTC
Description of problem:
Firefox activates e10s (multiprocess architecture) since v50 also if installed addons are marked as e10s compatible. This behavior doesn't apply to Fedora's version of Firefox, as e10s is still deactivated due to intalled addons.

Version-Release number of selected component (if applicable):
firefox-50.0-1.fc24
mozilla-noscript-2.9.5.1-1.fc24

How reproducible:
Always.

Steps to Reproduce:
1. In firefox in about:config set "browser.tabs.remote.autostart" to true
2. Restart firefox
3. In firefox check about:support

Actual results:
E10s is deactivated due to the installed addon. Can be checked in about:support search for "Multiprocess Windows".

Expected results:
The current version of noscript shouldn't block e10s. So in firefox under about:support, "Multiprocess Windows" should be activated.

Additional info:
Fedora's Firefox is an exception here, it works on KDE Neon (which is Ubuntu basically) and Windows.
Also it's likely that there is everything alright with noscript, as commented in https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f51cb0269 .
If you wanna know what e10s is: https://wiki.mozilla.org/Electrolysis

Comment 1 Christian Stadelmann 2016-11-30 14:48 UTC
Created attachment 1226362 [details]
raw data from about:support

This issue is present even on a fresh profile with no addons installed at all (except system addons of course).

Some debug info is attached.

Comment 2 Christian Stadelmann 2016-11-30 15:05 UTC
Created attachment 1226371 [details]
raw data from about:support, after installing NoScript and restarting

After installing NoScript and setting browser.tabs.remote.autostart to true, E10s still isn't used.

Comment 3 Martin Stransky 2016-12-22 13:08:35 UTC
Yes, that's something broken in Fedora Firefox package. The e10s is disabled even in fresh profile when no extension is installed. When I test stock mozilla binary the e10s is enabled on the same profile.

Comment 4 Martin Stransky 2016-12-22 16:32:09 UTC
Reporter, which *remote* options do you have set? Looks like the e10s may be also disabled when accessibility is enabled.

Comment 5 Martin Stransky 2016-12-22 16:32:33 UTC
Also, can you try to create a new profile?

Comment 6 Martin Stransky 2016-12-22 16:39:39 UTC
The mozilla-noscript works for me with e10s enabled with a new profile. So it looks like a problem with old profile with some outdated prefs.

Comment 7 Marcel 2016-12-22 17:05:19 UTC
It's still deactivated on a fresh profile with Fedora 24. The reason is because of addons (you can read in about:support).
I'll later test this with Fedora 25.
I have no *remote* settings changes, only  accessibility.typeaheadfind.flashBar is set to 0, but this should be fine, on Ubuntu this is also changed to 0 and it is activated there.

Comment 8 Marcel 2016-12-23 14:15:04 UTC
Same i wrote in comment #7 applies to Firefox on Fedora 25.

Comment 9 roidal 2017-01-14 09:20:42 UTC
Iam using Fedora 24 and have the same problem:

*) By default e10s is still disabled.
*) When enabling via about:config it was not working because of the addon
   "uBlock Origin" (which should be e10s compatible).

Later one was fixed by starting the official mozilla build one time. This created a new about:config entry "browser.tabs.remote.autostart.2" and e10s was working with uBlock too.

Now it still work with uBlock addon even after i removed the additional created config-entry (as long as the original "remote.autostart" is set to true of course).

Comment 10 Fedora End Of Life 2017-02-28 10:39:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 11 M. Edward (Ed) Borasky 2017-03-09 23:18:38 UTC
e10s is also absent Firefox 52 in Fedora 25. I'm not convinced disabling e10s is a "bug" in the strictest sense of the term. I've been testing e10s in Firefox Nightly and Developer Edition since the capability was first introduced and I've run into so many issues with performance and addons that I ended up just disabling it in "Preferences".

Comment 12 Martijn Kruiten 2017-03-10 08:27:38 UTC
I can confirm. Had it working in v51 and older, but can't get it to enable in v52 as distributed by Fedora. According to https://www.reddit.com/r/Fedora/comments/5yf8k0/multiprocess_disabled_in_firefox_52/ it still works with the binary from Mozilla. If you need anything, please let me know.

Comment 13 Martin Stransky 2017-03-10 08:45:24 UTC
A code which controls e10s is here:

https://dxr.mozilla.org/mozilla-release/source/toolkit/xre/nsAppRunner.cpp?q=BrowserTabsRemoteAutostart&redirect_type=direct#4921

so you can easily set appropriate prefs to enable/disable it.

Comment 14 Martin Stransky 2017-03-10 11:17:41 UTC
Looks like it's not possible to enable e10s with Fedora binaries. I'll look into it.

Comment 15 Martin Stransky 2017-03-10 13:24:21 UTC
Fix added to firefox-52.0-4, it should be enough to set "browser.tabs.remote.autostart" to true unless it's blocked by addons.

Comment 16 Alexander Ploumistos 2017-03-10 19:56:34 UTC
I got the package from https://koji.fedoraproject.org/koji/taskinfo?taskID=18301944, I tested it in a couple of different setups, e10s is now enabled again.

Comment 17 Marcel 2017-03-11 11:55:02 UTC
Right, 52.0-4 solves the bug that e10s cannot be activated anymore.
But the original bug, that e10s should be activated be default if no or compatible addons are installed still exists. So now we are again at the situation when i reported the bug (Just as an info so nobody thinks it's resolved).

Comment 18 jeremy9856 2017-03-13 06:39:33 UTC
Hello,
Can we have the fixed firefox in Fedora 25 please ?
Thanks !

Comment 19 Martin Stransky 2017-03-13 07:54:08 UTC
(In reply to Marcel from comment #17)
> Right, 52.0-4 solves the bug that e10s cannot be activated anymore.
> But the original bug, that e10s should be activated be default if no or
> compatible addons are installed still exists. So now we are again at the
> situation when i reported the bug (Just as an info so nobody thinks it's
> resolved).

Please try a fresh new profile and set browser.tabs.remote.autostart to true. If that does not help please attach output of about:support from the firefox-52.0-4.

You can also directly debug the mozilla::BrowserTabsRemoteAutostart() in gdb and see that's exact cause of that.

Thanks.

Comment 20 Fedora Update System 2017-03-13 09:38:45 UTC
firefox-52.0-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fb0493048

Comment 21 Fedora Update System 2017-03-13 09:39:00 UTC
firefox-52.0-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2daa8f4907

Comment 22 Marcel 2017-03-13 11:50 UTC
Created attachment 1262400 [details]
52.0-4 about:support with compatible addon

(In reply to Martin Stransky from comment #19)
> Please try a fresh new profile and set browser.tabs.remote.autostart to
> true. If that does not help please attach output of about:support from the
> firefox-52.0-4.

Same behavior with a fresh profile. e10s gets deactivated because of addons (tested with noscript v2.9.5.3 and 5.0.1) even though it shouldn't. Output of about:support is attached.

I'll try to debug it the next days.

Comment 23 Martin Stransky 2017-03-13 12:42:23 UTC
BTW: You can force enable/disable e10s by those prefs:
browser.tabs.remote.force-enable
browser.tabs.remote.force-disable

you may need to add it by Right click (at about:plugins) and add new key.

Comment 24 Martin Stransky 2017-03-13 12:44:49 UTC
(In reply to Marcel from comment #22)
> Same behavior with a fresh profile. e10s gets deactivated because of addons
> (tested with noscript v2.9.5.3 and 5.0.1) even though it shouldn't. Output
> of about:support is attached.
> 
> I'll try to debug it the next days.

So the noscript plugin causes the e10s disabled, correct?

Comment 25 jeremy9856 2017-03-13 18:28:17 UTC
Thank you for providing F25 build. By the way, my plugins are compatibles (as reported by "addon compatibility reporter") but I need to use "browser.tabs.remote.force-enable" to enable e10s too.

Comment 26 Marcel 2017-03-13 21:18:32 UTC
(In reply to Martin Stransky from comment #24)
> So the noscript plugin causes the e10s disabled, correct?

Correct.

On Mozilla's builds, e10s is activated with noscript.

Comment 27 Fedora Update System 2017-03-14 01:19:50 UTC
firefox-52.0-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2daa8f4907

Comment 28 Fedora Update System 2017-03-14 01:23:15 UTC
firefox-52.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fb0493048

Comment 29 Martin Stransky 2017-03-14 08:29:51 UTC
(In reply to Marcel from comment #26)
> (In reply to Martin Stransky from comment #24)
> > So the noscript plugin causes the e10s disabled, correct?
> 
> Correct.
> 
> On Mozilla's builds, e10s is activated with noscript.

I'm unable to reproduce with firefox-52.0-4.fc25.x86_64. I installed NoScript from AMO (5.0.1), set browser.tabs.remote.autostat to true and e10s is enabled. 

I have no idea what can cause such issues for you.

Comment 30 Fedora Update System 2017-03-14 17:23:10 UTC
firefox-52.0-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 jeremy9856 2017-03-14 18:46:41 UTC
(In reply to Martin Stransky from comment #29) 
> I'm unable to reproduce with firefox-52.0-4.fc25.x86_64. I installed
> NoScript from AMO (5.0.1), set browser.tabs.remote.autostat to true and e10s
> is enabled. 
> 
> I have no idea what can cause such issues for you.

It seem that I have the problem too. My plugins are compatibles (as reported by "addon compatibility reporter") but setting "browser.tabs.remote.autostart" to true is not enough. I need to use "browser.tabs.remote.force-enable" to enable e10s. I didn't tested with mozilla build though.

Comment 32 Robert Hancock 2017-03-15 03:48:51 UTC
Confirmed the same issue here with 52.0-4. browser.tabs.remote.autostart has been set and all add-ons report "compatible with multi-process" but about:support still reports Multiprocess Windows as 0/1 (Disabled by add-ons).

Comment 33 Robert Hancock 2017-03-15 04:02:35 UTC
To follow up on the above, it seems like there may have been some stale preferences left in prefs.js that were preventing e10s from activating. I deleted all of the preferences that referenced e10s and removed browser.tabs.remote.force-enable setting and the browser.tabs.remote.autostart setting was then enough to get it to activate.

Comment 34 S. Morris Rose 2017-03-15 23:51:12 UTC
I updated to the 52.0-4 browser and removed all the extensions I have that were shown as incompatible with e10s, having set browser.tabs.remote.autostart to true. That didn't enable Multiprocess for me, though - I still saw "disabled by add-ons." So, to get access to a fresh profile, I created and logged in as a fresh user. I edited browser.tabs.remote.autostart to be true, restarted, and confirmed that Multiprocess was enabled. Then, I installed NoScript and observed that Multiprocess again was disabled. Then, I disabled that and installed Tree Style Tab, which disabled Multiprocess, then disabled that and installed JSONView, which also disabled Multiprocess. In short, in my environment, even with a fresh profile, installing any add-on seems to disable Multiprocess. NB none of the add-ons I installed were from RPMs.

Comment 35 Fedora Update System 2017-03-17 18:20:07 UTC
firefox-52.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 S. Morris Rose 2017-03-17 19:06:36 UTC
This was on Fedora 25 x86_64. I now see that I didn't state that earlier.

Comment 37 Martin Stransky 2017-03-23 09:47:24 UTC
Looks like https://bugzilla.mozilla.org/show_bug.cgi?id=1348576

Comment 38 Marcel 2017-04-04 11:30:40 UTC
Version firefox-52.0.2-2.fc25 (FEDORA-2017-859f058eda) fixed the bug for me. I can only speak for Fedora 25 though.

Comment 39 Christian Stadelmann 2017-04-24 00:01:10 UTC
I can confirm this bug is fixed with Firefox 53.0 on Fedora 26.

Comment 40 jeremy9856 2017-06-17 08:40:51 UTC
Seem to be fixed with Firefox 54 that include this fix https://bugzilla.mozilla.org/show_bug.cgi?id=1348576

Comment 41 jeremy9856 2017-07-09 16:53:53 UTC
I think this can be closed.

Comment 42 Martin Stransky 2017-07-10 08:35:58 UTC
Okay, Thanks.


Note You need to log in before you can comment on or make changes to this bug.